Deployments.ai Docs
Tools

List tool policies

GET /v1/tool-policies · SDK listToolPolicies · CLI deployments tool-policy list

GET
/v1/tool-policies

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Query Parameters

cursor?string
Length1 <= length <= 4096
limit?integer
Range1 <= value <= 100

Header Parameters

x-deployments-environment*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

ListToolPoliciesResponse

application/json
  1. response
items*array<>
nextCursor*string|null
curl -X GET "https://example.com/v1/tool-policies" \  -H "x-deployments-environment: string"
{  "items": [    {      "createdAt": "2019-08-24T14:15:22Z",      "description": "string",      "id": "string",      "name": "string",      "policy": {        "defaultAction": "allow",        "defaultReason": "string",        "rules": [          {            "action": "allow",            "connectorProvider": "string",            "effect": "execute",            "providerKey": "string",            "reason": "string",            "requiredScopes": [              "string"            ],            "toolName": "string",            "toolPrefix": "string"          }        ]      },      "status": "string",      "updatedAt": "2019-08-24T14:15:22Z",      "version": 0    }  ],  "nextCursor": "string"}